gnutls_privkey_verify_seed(3)

NAME
gnutls_privkey_verify_seed - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_verify_seed(gnutls_privkey_t key, gnutls_digest_algorithm_t digest, const void * seed, size_t seed_size);

ARGUMENTS

gnutls_privkey_t key
    should contain a gnutls_privkey_t type

gnutls_digest_algorithm_t digest
    it contains the digest algorithm used for key generation (if applicable)

const void * seed
    the seed of the key to be checked with

size_t seed_size
    holds the size of seed

DESCRIPTION
This function will verify that the given private key was generated from the provided seed.

RETURNS
In case of a verification failure GNUTLS_E_PRIVKEY_VERIFICATION_ERROR is returned, and zero or positive code on success.

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/